Evolution crashes on startup

Bug #20541 reported by Debian Bug Importer on 2005-08-29
8
Affects Status Importance Assigned to Milestone
evolution (Debian)
Fix Released
Unknown
evolution (Ubuntu)
High
Sebastien Bacher

Bug Description

Automatically imported from Debian bug report #325571 http://bugs.debian.org/325571

Debian Bug Importer (debzilla) wrote :

Automatically imported from Debian bug report #325571 http://bugs.debian.org/325571

Sebastien Bacher (seb128) wrote :

already fixed

Download full text (5.6 KiB)

Package: evolution
Version: 2.2.2-4
Followup-For: Bug #325571

I have the identical problem with identical debugging output from gdb.

In my case the problem only started when I switched to the task view,
and now occurs every time I start evolution. By deleting ~/.evolution
I was able to get evolution to start OK, but the problem re-occurs
every time I switch to the tasks view.

I suspect that evoltion is "remembering" I had the task view open last
time I "exited" evolution and is trying to start with that view and
crashing.

-- System Information:
Debian Release: testing/unstable
  APT prefers testing
  APT policy: (500, 'testing'), (500, 'stable'), (200, 'unstable')
Architecture: i386 (i686)
Shell: /bin/sh linked to /bin/bash
Kernel: Linux 2.6.8-2-k7
Locale: LANG=en_AU, LC_CTYPE=en_AU (charmap=ISO-8859-1)

Versions of packages evolution depends on:
ii evolution-data-server1 1.2.2-5.1 evolution database backend server
ii gconf2 2.10.1-1 GNOME configuration database syste
ii gnome-icon-theme 2.10.1-2 GNOME Desktop icon theme
ii gtkhtml3.6 3.6.2-1 HTML rendering/editing library - b
ii libart-2.0-2 2.3.17-1 Library of functions for 2D graphi
ii libatk1.0-0 1.10.1-2 The ATK accessibility toolkit
ii libaudiofile0 0.2.6-6 Open-source version of SGI's audio
ii libbonobo2-0 2.10.0-1 Bonobo CORBA interfaces library
ii libbonoboui2-0 2.8.1-2 The Bonobo UI library
ii libc6 2.3.5-6 GNU C Library: Shared libraries an
ii libcamel1.2-0 1.2.2-5.1 The Evolution MIME message handlin
ii libcompfaceg1 1989.11.11-24 Compress/decompress images for mai
ii libdb4.1 4.1.25-18 Berkeley v4.1 Database Libraries [
ii libebook1.2-3 1.2.2-5.1 Client library for evolution addre
ii libecal1.2-2 1.2.2-5.1 Client library for evolution calen
ii libedataserver1.2-4 1.2.2-5.1 Utily library for evolution data s
ii libedataserverui1.2-4 1.2.2-5.1 GUI utily library for evolution da
ii libesd-alsa0 [libesd0] 0.2.36-1 Enlightened Sound Daemon (ALSA) -
ii libfontconfig1 2.3.2-1 generic font configuration library
ii libfreetype6 2.1.7-2.4 FreeType 2 font engine, shared lib
ii libgail-common 1.8.4-1 GNOME Accessibility Implementation
ii libgail17 1.8.4-1 GNOME Accessibility Implementation
ii libgal2.4-0 2.4.2-1 G App Libs (run time library)
ii libgal2.4-common 2.4.2-1 G App Libs (common files)
ii libgconf2-4 2.10.1-1 GNOME configuration database syste
ii libgcrypt11 1.2.1-4 LGPL Crypto library - runtime libr
ii libglade2-0 1:2.5.1-2 library to load .glade files at ru
ii libglib2.0-0 2.8.0-1 The GLib library of C routines
ii libgnome-keyring0 0.4.3-1 GNOME keyring services library
ii libgnome-pilot2 2.0.12-1.2 Support libraries for gn...

Read more...

severity 325571 important
severity 321746 important

merge 321746 325571 310706

thanks,

Quoting the #321746 explanation:
This is actually a bug in libgal's version in etch.

This bug has been fixed in sid, but cannot be migrated yet migrated to
etch due to several problems in the GNOME 2.10 transition.

The possible workarounds are:
* dowgrade libgnomecanvas2-0 to sarge's version (as you've done)
* upgrade libgal2.4 to sid's version (only recommended if you really
want to have some of the libs in sid).

So, as far as you don't need to upgrade libgnomecanvas2-0, you are not
really missing much out of the whole system, and this bug won't reach
you. When libgal2.4 finally migrates into etch, you might upgrade the
whole set of dependencies.

--
"And if cynics ridicule freedom, ridicule community...if ``hard nosed
realists'' say that profit is the only ideal...just ignore them, and use
copyleft all the same. " -- (RMS)
Saludos /\/\ /\ >< `/

merge 320528 321746
thanks

The bug reported is yet again the same libgal bug. This has been reported
many times before, and this is the explanation that has been given already:

This bug has been fixed in sid, but cannot be yet migrated to
etch due to several problems in the GNOME 2.10 transition.

The possible workarounds are:
* downgrade libgnomecanvas2-0 to sarge's version
* upgrade libgal2.4-* to sid's version (only recommended if you really
want to have some of the libs in sid).

So, as far as you probably don't need to upgrade libgnomecanvas2-0, you are
not really missing much out of the whole system if you choose the first
option, and this bug won't reach you. When libgal2.4 finally migrates into
etch, you might upgrade the whole set of dependencies.

--
 Besos,
     Maggie.

reassign 321746 libgal2.4-0 2.4.2-1
close 321746 2.4.3-1
thanks

These bugs were never evolution bugs, now that libgal2.4-0 new version is
in testing, they can be safely reassigned and closed.

You can now upgrade your systems to the latest etch packages, and this bug
will be gone.

Enjoy!

--
 Besitos, {o_
     Marga. (')_

Debian Bug Importer (debzilla) wrote :

Message-ID: <email address hidden>
Date: Mon, 29 Aug 2005 08:51:44 -0400
From: David Hugh-Jones <email address hidden>
To: <email address hidden>
Subject: Evolution crashes on startup

Package: evolution
Version: 2.2.2-4
Severity: grave

Evolution crashes after startup and gives the usual Gnome crash dialog.=20

This first happened after allowing evolution 2.2 to delete my old
evolution folders. Now it happens whenever I start evolution.

Here's the output from "gdb evolution" (just the ordinary binary, HTH;
I have replaced repeated "(no debugging symbols found)" with "..."):

Starting program: /usr/bin/evolution
(no debugging symbols found)
...
(no debugging symbols found)
[Thread debugging using libthread_db enabled]
[New Thread 1073876704 (LWP 8665)]
(no debugging symbols found)
...
(no debugging symbols found)
es menu class init
(no debugging symbols found)
...
(no debugging symbols found)
adding hook target 'source'
(no debugging symbols found)
...
(no debugging symbols found)
[New Thread 1088248752 (LWP 8671)]
[New Thread 1118202800 (LWP 8673)]
[New Thread 1126595504 (LWP 8674)]
[Thread 1118202800 (LWP 8673) exited]
[New Thread 1118202800 (LWP 8675)]
[Thread 1126595504 (LWP 8674) exited]
[Thread 1118202800 (LWP 8675) exited]
---Type <return> to continue, or q <return> to quit---

Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread 1073876704 (LWP 8665)]
0x420e517a in e_canvas_hide_tooltip () from /usr/lib/libgal-2.4.so.0
(gdb) c
Continuing.
Program exited with code 01.

cheers

Debian Bug Importer (debzilla) wrote :
Download full text (5.9 KiB)

Message-Id: <20050904025724.0AD7A102A00@minkirri>
Date: Sun, 04 Sep 2005 12:57:23 +1000
From: "Donovan Baarda" <email address hidden>
To: Debian Bug Tracking System <email address hidden>
Subject: evolution: Related to tasks view?

Package: evolution
Version: 2.2.2-4
Followup-For: Bug #325571

I have the identical problem with identical debugging output from gdb.

In my case the problem only started when I switched to the task view,
and now occurs every time I start evolution. By deleting ~/.evolution
I was able to get evolution to start OK, but the problem re-occurs
every time I switch to the tasks view.

I suspect that evoltion is "remembering" I had the task view open last
time I "exited" evolution and is trying to start with that view and
crashing.

-- System Information:
Debian Release: testing/unstable
  APT prefers testing
  APT policy: (500, 'testing'), (500, 'stable'), (200, 'unstable')
Architecture: i386 (i686)
Shell: /bin/sh linked to /bin/bash
Kernel: Linux 2.6.8-2-k7
Locale: LANG=en_AU, LC_CTYPE=en_AU (charmap=ISO-8859-1)

Versions of packages evolution depends on:
ii evolution-data-server1 1.2.2-5.1 evolution database backend server
ii gconf2 2.10.1-1 GNOME configuration database syste
ii gnome-icon-theme 2.10.1-2 GNOME Desktop icon theme
ii gtkhtml3.6 3.6.2-1 HTML rendering/editing library - b
ii libart-2.0-2 2.3.17-1 Library of functions for 2D graphi
ii libatk1.0-0 1.10.1-2 The ATK accessibility toolkit
ii libaudiofile0 0.2.6-6 Open-source version of SGI's audio
ii libbonobo2-0 2.10.0-1 Bonobo CORBA interfaces library
ii libbonoboui2-0 2.8.1-2 The Bonobo UI library
ii libc6 2.3.5-6 GNU C Library: Shared libraries an
ii libcamel1.2-0 1.2.2-5.1 The Evolution MIME message handlin
ii libcompfaceg1 1989.11.11-24 Compress/decompress images for mai
ii libdb4.1 4.1.25-18 Berkeley v4.1 Database Libraries [
ii libebook1.2-3 1.2.2-5.1 Client library for evolution addre
ii libecal1.2-2 1.2.2-5.1 Client library for evolution calen
ii libedataserver1.2-4 1.2.2-5.1 Utily library for evolution data s
ii libedataserverui1.2-4 1.2.2-5.1 GUI utily library for evolution da
ii libesd-alsa0 [libesd0] 0.2.36-1 Enlightened Sound Daemon (ALSA) -
ii libfontconfig1 2.3.2-1 generic font configuration library
ii libfreetype6 2.1.7-2.4 FreeType 2 font engine, shared lib
ii libgail-common 1.8.4-1 GNOME Accessibility Implementation
ii libgail17 1.8.4-1 GNOME Accessibility Implementation
ii libgal2.4-0 2.4.2-1 G App Libs (run time library)
ii libgal2.4-common 2.4.2-1 G App Libs (common files)
ii libgconf2-4 2.10.1-1 GNOME configuration database syste
ii libgcrypt11 1.2.1-4 LGPL Crypto library - runtime libr
ii libglade2-0 1:2.5.1-2 library to load ....

Read more...

Debian Bug Importer (debzilla) wrote :

Message-id: <20050904155011.GB14900@localhost>
Date: Sun, 04 Sep 2005 12:50:11 -0300
From: Maximiliano Curia <email address hidden>
To: <email address hidden>, <email address hidden>
Cc: <email address hidden>

severity 325571 important
severity 321746 important

merge 321746 325571 310706

thanks,

Quoting the #321746 explanation:
This is actually a bug in libgal's version in etch.

This bug has been fixed in sid, but cannot be migrated yet migrated to
etch due to several problems in the GNOME 2.10 transition.

The possible workarounds are:
* dowgrade libgnomecanvas2-0 to sarge's version (as you've done)
* upgrade libgal2.4 to sid's version (only recommended if you really
want to have some of the libs in sid).

So, as far as you don't need to upgrade libgnomecanvas2-0, you are not
really missing much out of the whole system, and this bug won't reach
you. When libgal2.4 finally migrates into etch, you might upgrade the
whole set of dependencies.

--
"And if cynics ridicule freedom, ridicule community...if ``hard nosed
realists'' say that profit is the only ideal...just ignore them, and use
copyleft all the same. " -- (RMS)
Saludos /\/\ /\ >< `/

Debian Bug Importer (debzilla) wrote :

Message-id: <20050906000930.GA19547@localhost>
Date: Mon, 05 Sep 2005 21:09:31 -0300
From: Margarita Manterola <email address hidden>
To: <email address hidden>
Cc: <email address hidden>, <email address hidden>
Subject: Problem with libgal and gnomecanvas

merge 320528 321746
thanks

The bug reported is yet again the same libgal bug. This has been reported
many times before, and this is the explanation that has been given already:

This bug has been fixed in sid, but cannot be yet migrated to
etch due to several problems in the GNOME 2.10 transition.

The possible workarounds are:
* downgrade libgnomecanvas2-0 to sarge's version
* upgrade libgal2.4-* to sid's version (only recommended if you really
want to have some of the libs in sid).

So, as far as you probably don't need to upgrade libgnomecanvas2-0, you are
not really missing much out of the whole system if you choose the first
option, and this bug won't reach you. When libgal2.4 finally migrates into
etch, you might upgrade the whole set of dependencies.

--
 Besos,
     Maggie.

Debian Bug Importer (debzilla) wrote :

Message-id: <20050913141211.GA11658@localhost>
Date: Tue, 13 Sep 2005 11:12:12 -0300
From: Margarita Manterola <email address hidden>
To: <email address hidden>
Cc: <email address hidden>, <email address hidden>,
 <email address hidden>, <email address hidden>
Subject: Reassigning and closing (finally!)

--qMm9M+Fa2AknHoGS
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable

reassign 321746 libgal2.4-0 2.4.2-1
close 321746 2.4.3-1
thanks

These bugs were never evolution bugs, now that libgal2.4-0 new version is
in testing, they can be safely reassigned and closed.

You can now upgrade your systems to the latest etch packages, and this bug
will be gone.

Enjoy!

--=20
 Besitos, {o_
     Marga. (')_

--qMm9M+Fa2AknHoGS
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: Digital signature
Content-Disposition: inline

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.1 (GNU/Linux)

iD8DBQFDJt47lAuUx1tI/64RAipyAJ9azbStgMrJ6hSc3txEUEE2UKQFvwCfZbkP
62/Wu9pPyY27OvWnzC9EPhE=
=FebF
-----END PGP SIGNATURE-----

--qMm9M+Fa2AknHoGS--

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.